<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StrategySetCreateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|max:30',
            'user_sn' => 'required',
            'call_number' => 'required',
            'day_type' => 'required',
            'frequency_type' => 'required',
            'call_time_set' => 'required',
            'project_sn' => 'required'//,
            //'upload_excel' => 'size:'//上传文件限制不超过8M
        ];
    }
    
    public function messages(){
        return [
            'required' =>'策略设置必填项不能为空'
        ];
    }
}
